<?xml version="1.0"?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="NASA.CONSOFT.Satelites.Facturak.My.MySettings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
        </sectionGroup>
    </configSections>
    <system.diagnostics>
        <sources>
            <!-- En esta sección se define la configuración del registro para My.Application.Log -->
            <source name="DefaultSource" switchName="DefaultSwitch">
                <listeners>
                    <add name="FileLog"/>
                    <!-- Quite los comentarios de la sección posterior para escribir en el registro de eventos de la aplicación -->
                    <!--<add name="EventLog"/>-->
                </listeners>
            </source>
        </sources>
        <switches>
            <add name="DefaultSwitch" value="Information"/>
        </switches>
        <sharedListeners>
            <add name="FileLog" type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" initializeData="FileLogWriter"/>
            <!-- Quite los comentarios de la sección posterior y reemplace APPLICATION_NAME con el nombre de su aplicación para escribir en el registro de sucesos de la aplicación -->
            <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
        </sharedListeners>
    </system.diagnostics>
    <applicationSettings>
        <NASA.CONSOFT.Satelites.Facturak.My.MySettings>
            <setting name="eFacturasCore_ConsoftToolService_Service1" serializeAs="String">
                <value>http://www.consoft.com.mx/ToolService/Service.asmx</value>
            </setting>
            <setting name="eFacturasCore_FacturakService_Service1" serializeAs="String">
                <value>http://www.facturak.com.mx/FacturakService2/Service1.asmx</value>
            </setting>
            <setting name="eFacturasCore_FacturakMxService_Service1" serializeAs="String">
                <value>http://www.facturak.mx/FacturakService/Service1.asmx</value>
            </setting>
            <setting name="eFacturasCore_ConsoftMxToolService_Service1" serializeAs="String">
                <value>http://www.consoft.mx/ToolService/Service.asmx</value>
            </setting>
            <setting name="eFacturasCore_WsSorianaTest_wseDocRecibo" serializeAs="String">
                <value>http://www2.soriana.com/integracion/recibecfd/wsedocrecibo.asmx</value>
            </setting>
            <setting name="eFacturasCore_WsSorianaProduccion_wseDocRecibo" serializeAs="String">
                <value>http://serviciosweb.soriana.com/recibecfd/wsedocrecibo.asmx</value>
            </setting>
            <setting name="eFacturasCore_FacturakCFDIService_Service" serializeAs="String">
                <value>http://www.facturak.com.mx/CFDIService/Service.asmx</value>
            </setting>
            <setting name="eFacturasCore_mx_com_facturak_www_FacturakService" serializeAs="String">
                <value>http://www.facturak.com.mx/FacturakServices/v33/FacturakService.asmx</value>
            </setting>
        </NASA.CONSOFT.Satelites.Facturak.My.MySettings>
    </applicationSettings>
   <startup useLegacyV2RuntimeActivationPolicy="true"><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2"/></startup>	
  <runtime>    
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="System.Web.Services" publicKeyToken="B03F5F7F11D50A3A" culture="neutral"/>
				<bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0"/>
        <NetFx40_LegacySecurityPolicy enabled="true"/>
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
    <system.serviceModel>
        <bindings>
            <basicHttpBinding>
                <binding name="BasicHttpBinding_IConsultaCFDIService">
                    <security mode="Transport"/>
                </binding>
            </basicHttpBinding>
        </bindings>
        <client>
            <endpoint address="https://srvconsultacfdiuat.cloudapp.net/ConsultaCFDIService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IConsultaCFDIService" contract="ConsultaCFDI.IConsultaCFDIService" name="BasicHttpBinding_IConsultaCFDIService"/>
        </client>
    </system.serviceModel>
</configuration>
